1. V3 - Invoice
Cresium
  • Cresium - V3 Partners
    • API
      • Auth Information for V3 API Partners
      • V3 - Health
        • Health check
      • V3 - Transaction
        • Get Transaction data
        • Search transactions
        • Make a transfer
        • Confirm a transaction
        • Reverse a deposit transaction
        • Get transaction receipt
      • V3 - BankAddress
        • Get Address
      • V3 - CompanyFeature
        • Get Company Features
        • Update Feature Enabled State
      • V3 - Rate
        • Get TNA rate
      • V3 - DepositAddress
        • Update Deposit Address
        • Create Deposit Address
      • V3 - Invoice
        • Create Invoices
          POST
        • Read Invoices
          POST
      • V3 - Partner
        • Search partner transactions
      • V3 - User Address
        • Create or get User Address
      • V3 - Auth
        • V3 - Balance
          • Get all wallets for Company
        • Generate change password ID for partner user
      • V3 - CompanyTax
        • Upsert Company Tax
      • V3 - Signature Request
        • Create Signature Request
        • Update Signature Request
      • V3 - Payment
        • Create Payments
        • Read Payments
      • Webhooks
        • Auth Information for Webhooks
        • Transactions Events Examples - DEPOSIT
  1. V3 - Invoice

Read Invoices

POST
/v3/invoice/read
Lee y extrae datos de facturas de cobro a partir de archivos adjuntos.
Recibe archivos (imagenes, PDFs) via multipart/form-data y utiliza OCR para extraer
los datos de las facturas automaticamente.

Request#

Content-Type: multipart/form-data
Campo: file (se pueden enviar hasta 50 archivos con el mismo nombre de campo)

Respuesta#

CampoTipoDescripcion
hasErrorsbooleanIndica si hubo errores al procesar algun archivo
errorsarrayLista de archivos con error y su tipo de error
extractedInvoicesarrayFacturas extraidas de los archivos procesados

Errores posibles#

INVALID_FILE_TYPE: El tipo de archivo no es soportado

Request

None

Responses

🟢200
application/json
Successful response
Body

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.develop.cresium.app/v3/invoice/read'
Response Response Example
200 - Example 1
{
    "data": {
        "hasErrors": true,
        "errors": [
            {
                "name": "string",
                "error": "INTERNAL_SERVER_ERROR"
            }
        ],
        "extractedInvoices": [
            {
                "externalId": "string",
                "payerName": "string",
                "payerNationalIdentifier": "string",
                "payerEmail": "string",
                "description": "string",
                "amount": 0,
                "createdAt": "string",
                "expiresAt": "string",
                "fileUrl": "string",
                "status": "PROCESSING"
            }
        ]
    }
}
Modified at 2026-02-20 14:42:30
Previous
Create Invoices
Next
Search partner transactions
Built with